Loading...
Searching...
No Matches
SplitNodes< DGR >::CombinedArcMap< AM, NM > Class Template Reference

## Detailed Description

template<typename DGR>
template<typename AM, typename NM>
class lemon::SplitNodes< DGR >::CombinedArcMap< AM, NM >

This map adaptor class adapts an arc map and a node map of the original digraph to get an arc map of the split digraph. Its value type is inherited from the original arc map type (`AM`).

Template Parameters

  AM | The type of the arc map.
  NM | the type of the node map.

`#include <lemon/adaptors.h>`

## Public Types

typedef Arc | Key
| The key type of the map.
typedef AM::Value | Value
| The value type of the map.

## Public Member Functions

| CombinedArcMap (AM &arc_map, NM &node_map)
| Constructor.
Value | operator[] (const Key &arc) const
| Returns the value associated with the given key.
Value & | operator[] (const Key &arc)
| Returns a reference to the value associated with the given key.
void | set (const Arc &arc, const Value &val)
| Sets the value associated with the given key.